#include <stdio.h>
#include <stdlib.h>
#include <bits/stdc++.h>

int main()
{
    long long int n, m;
    cin>>n;
    cin>>m;

    long long int a[n];
    for(long long int i = 0; i < n; i++)
        cin>>a[i];

    long long int b[m][2], rez = 0;
    for(long long int i = 0; i < m; i++)
    {
        cin>>b[i][0];
        cin>>b[i][1];

        rez += abs(a[b[i][0]-1] + a[b[i][1]-1]);
    }
    cout<<rez<<endl;
    return 0;
}